ImportData
Imports data into an instance and creates different objects
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/import" \ -H "Content-Type: application/json" \ -d '{ "dataOrgs": {} }'{
"errors": [
{
"type": "string",
"id": "string",
"message": "string"
}
],
"success": {
"orgs": [
{
"orgId": "string",
"projectIds": [
"string"
],
"projectRoles": [
"string"
],
"oidcAppIds": [
"string"
],
"apiAppIds": [
"string"
],
"humanUserIds": [
"string"
],
"machineUserIds": [
"string"
],
"actionIds": [
"string"
],
"triggerActions": [
{
"flowType": "string",
"triggerType": "string",
"actionIds": [
"string"
]
}
],
"projectGrants": [
{
"grantId": "string",
"projectId": "string",
"orgId": "string"
}
],
"userGrants": [
{
"projectId": "string",
"userId": "string"
}
],
"orgMembers": [
"string"
],
"projectMembers": [
{
"projectId": "string",
"userId": "string"
}
],
"projectGrantMembers": [
{
"projectId": "string",
"grantId": "string",
"userId": "string"
}
],
"oidcIpds": [
"string"
],
"jwtIdps": [
"string"
],
"idpLinks": [
"string"
],
"userLinks": [
{
"userId": "string",
"externalUserId": "string",
"displayName": "string",
"idpId": "string"
}
],
"userMetadata": [
{
"userId": "string",
"key": "string"
}
],
"domains": [
"string"
],
"appKeys": [
"string"
],
"machineKeys": [
"string"
]
}
]
}
}Was this page helpful?
Healthz
Explore the Healthz operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
Is Organization Unique
Is Organization Unique: Deprecated: use [organization service v2 ListOrganizations](/reference/api/org/zitadel.org.v2.OrganizationService.ListOrganizations) instead. Checks if an organization with the searched parameters ...